<?php 

namespace Concrete\Package\JlElephpantInfo;

use Package;
use SinglePage;

defined('C5_EXECUTE') or die('Access Denied.');

/*
 * John Liddiard (aka JohntheFish) www.c5magic.co.uk
 * This software is licensed under the terms described in the concrete5.org marketplace.
 * Please find the add-on there for the latest license copy.
 */

class Controller extends Package
{
    protected $pkgHandle = 'jl_elephpant_info';
    protected $appVersionRequired = '5.7.5';
    protected $pkgVersion = '7.0';

    public function getPackageDescription()
    {
        return t('Run phpinfo() from the dashboard and show results.');
    }

    public function getPackageName()
    {
        return t('Ele-PHP-ant Info');
    }

    public function install()
    {
        $pkg = parent::install();
        $spid = SinglePage::add('/dashboard/system/environment/elephpant_info', $pkg);
        $spid->update(array('cName' => t('PHP Information'), 'cDescription' => $this->getPackageDescription()));
    }

}
