<?php 
defined('C5_EXECUTE') or die("Access Denied.");

/*
 * John Liddiard (aka JohntheFish) www.c5magic.co.uk
 * This software is licensed under the terms described in the concrete5.org marketplace.
 * Please find the add-on there for the latest license copy.
 */

/*
 * general purpose support dialog panel
 */

extract($controller->getSets());


if (empty($pkg_handle)) {
    $pkg_handle = 'jl_elephpant_info';
}
$client_package = Package::getByHandle($pkg_handle );

$short_handle = preg_replace("/^jl_/", '', $pkg_handle);

if (empty($magic_handle)) {
    $magic_handle = $short_handle;
}
if (empty($c5handle)) {
    $c5handle = $short_handle . '1';
}
if (empty($addon)) {
    $addon = $client_package->getPackageName();
}

/*
 * Paths built from incoming values
 */
$concrete5_org = 'https://www.concrete5.org/';
$marketplace = $concrete5_org . 'marketplace/addons/' . $c5handle . '/';
$marketplace_docs = $marketplace . 'documentation/';
$get_help = $marketplace . 'support/';
$avatar = $concrete5_org . 'files/avatars/51576.jpg';
$referral = $concrete5_org . 'r/-/51576';
$jtf = $concrete5_org . 'profile/-/view/51576/';
$c5_license = $concrete5_org . '/help/legal/commercial_add-on_license/';

$c5magic = 'http://www.c5magic.co.uk/';
$c5magic_search = $c5magic . 'search/?' . preg_replace("/[^a-z]+/", '+', $magic_handle);
$user_guide = $c5magic . 'add-ons/' . $magic_handle . '/user-guide/';
$jtf_resources = $c5magic . 'add-ons/jtf-resources';

$icon = DIR_REL . '/packages/' . $pkg_handle . '/icon.png';
?>
<div style="clear:both;">
    <h4>
        <?php 
        echo t('License');
        ?>
    </h4>
    <p>

        <?php 
        echo t("%s%s%s is licensed under the %sConcrete5 Marketplace License%s. Each license for %s%s%s may be used on a single web site and associated staging and development sites. Third party software components retain the original third party license. All %s%s%s code is copyright and may not be used in whole or in parts outside of the license except where permission to do so is granted by %sJohntheFish%s. ",
                //
                '<a href="' . $marketplace . '" target="_blank">', $addon, '</a>',
                //
                '<a href="' . $c5_license . '" target="_blank">', '</a>',
                //
                '<a href="' . $marketplace . '" target="_blank">', $addon, '</a>',
                //
                '<a href="' . $marketplace . '" target="_blank">', $addon, '</a>',
                //
                '<a href="' . $jtf . '" target="_blank">', '</a>'
        );
        ?>
    </p>

</div>



<div style="clear:both;">
    <a href="<?php  echo $jtf; ?>" target="_blank" style="float:left;margin-right:15px;"><img src ="<?php  echo $avatar; ?>"></a>
    <h4>
        <?php 
        echo t('Developer');
        ?>
    </h4>
    <p>

        <?php 
        echo t("%s%s%s has been developed and is actively maintained by %sJohntheFish%s. A toolbox full of further addons for concrete5 can be explored at %s%s%s.",
                //
                '<a href="' . $marketplace . '" target="_blank">', $addon, '</a>',
                //
                '<a href="' . $jtf . '" target="_blank">', '</a>',
                //
                '<a href="' . $c5magic . '" target="_blank">', $c5magic, '</a>'
        );
        ?>
    </p>

</div>


<div style="clear:both;">
    <h4>
        <?php 
        echo t('Support');
        ?>
    </h4>
    <a href="<?php  echo $marketplace; ?>" target="_blank" style="float:right;margin-left:15px"><img src ="<?php  echo $icon; ?>"></a>
    <p>
        <?php 
        echo t("For support, please click the %sGet Help%s link on the  %smarketplace page%s.",
                //
                '<a href="' . $get_help . '" target="_blank">', '</a>',
                //
                '<a href="' . $marketplace . '" target="_blank">', '</a>'
        );
        ?>
    </p>
</div>


