<?php 
defined('C5_EXECUTE') or die('Access Denied.');



/*
 * John Liddiard (aka JohntheFish) www.c5magic.co.uk
 * This software is licensed under the terms described in the concrete5.org marketplace.
 * Please find the add-on there for the latest license copy.
 */
$form = Core::make('helper/form');
$interface = Core::make('helper/concrete/ui');
?>
<form method="post" id="phpinfo_form" action="<?php  echo $this->action('view') ?>">
    <div class="ccm-dashboard-header-buttons">
        <?php 
        /*
         * two versions of menu rendered, second for smaller screens where
         * the way c5 promotes buttons intoi teh header overlaps the title
         * 
         * Commented out and adapted so we only have the dropdown menu
         */
        /*
          ?>
          <div class="pull-right elephpant_header_menu visible-lg">
          <?php 
          foreach ($poss_info_cats as $ky => $val) {
          if ($ky == $info_cat) {
          //Don't show a button for the active panel. Its no relevant
          } else if ($ky == 'JTF_SUPPORT') {
          echo $interface->submit($val, $ky, 'left', 'btn-default btn-sm');
          } else {
          echo $interface->submit($val, $ky, 'left', 'btn-primary btn-sm');
          }
          }
          if ($info_cat != 'JTF_SUPPORT') {
          ?>
          <div style="clear:both"></div>
          <a href="#plain_text" class="plain-text-toggle pull-right" title="<?php  echo t('Toggle plain text view'); ?>">
          <?php 
          echo t('Plain Text');
          ?>
          </a>
          <?php 
          }
          ?>
          </div>
          <?php 
         * 
         */
        ?>
        <div class="pull-right elephpant_header_menu visible-lg visible-xs visible-sm visible-md">
            <div class="btn-group">
                <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><?php  echo t('Menu'); ?>&nbsp;<i class="fa fa-bars"></i>
                </button>
                <ul class="dropdown-menu">
                    <?php 
                    foreach ($poss_info_cats as $ky => $val) {
                        if ($ky == $info_cat) {
                            /*
                             * Don't show a button for the active panel. Its no relevant
                             */
                        } else if ($ky == 'JTF_SUPPORT') {
                            ?>
                            <li>
                                <?php 
                                echo $interface->submit($val, $ky, 'left', 'btn-link');
                                ?>
                            </li>
                            <?php 
                        } else {
                            ?>
                            <li>
                                <?php 
                                echo $interface->submit($val, $ky, 'left', 'btn-link');
                                ?>
                            </li>
                            <?php 
                        }
                    }
                    if ($info_cat != 'JTF_SUPPORT') {
                        ?>
                        <li>
                            <?php 
                            /*
                             * Needs to be a submit here or we end up with wrong styling!
                             */
                            echo $interface->submit(t('Plain Text'), '#plain_text', 'left', 'btn-link plain-text-toggle', array('title' => t('Toggle to plain text view')));
                            ?>
                        </li>
                        <li style="display:none;">
                            <?php 
                            /*
                             * Needs to be a submit here or we end up with wrong styling!
                             */
                            echo $interface->submit(t('Table View'), '#table_view', 'left', 'btn-link table-view-toggle', array('title' => t('Toggle to table view')));
                            ?>
                        </li>
                        <?php 
                    }
                    ?>
                </ul>
            </div>
        </div>


    </div>
    <div class="ccm-pane-body info_as_html">
        <?php 
        $os = PHP_OS;
        if ($info_cat !== 'JTF_SUPPORT') {
            if ($info_cat === 'INFO_MODULES') {
                ?>
                <h2>
                    <?php  echo t('Modules'); ?>
                </h2>
                <?php 
            }
            ?>
            <div>
                <?php 
                ob_start();
                phpinfo(constant($info_cat));
                $phpinfoHTML = ob_get_contents();
                ob_end_clean();

                /*
                 * Get the body contents of the phpinfo and do some mashing to make it display
                 * cleanly within a bootstrap page/table
                 */
                if (preg_match("/\<body\>(.*)\<\/body\>/si", $phpinfoHTML, $m)) {
                    $info = $m[1];

                    /*
                     * Allow break after comma. Trick base64 images
                     */
                    $info = preg_replace("/([^4])\,/", '$1,&#8203;', $info);

                    /*
                     *  remove centering from div elements
                     */
                    $info = preg_replace("/\<div class=\"center\"\>/", '<div>', $info);

                    /*
                     *  add bootstrap styling to table and output to page
                     */
                    echo preg_replace("/\<table/", '<table class="table table-striped table-bordered" ', $info);
                } else {
                    echo t('Unable to find body of phpinfo response. The addon code may need adjusting to work correctly on this server.');
                }
                ?>
            </div>
            <?php 
            $select_all = t('Select All');
            $copy_all = t('Select and copy to clipboard');
            ?>
            <script type="text/javascript">
!function(a){a(document).ready(function(){var b="<?php  echo $select_all; ?>",c="<?php  echo $copy_all; ?>";a("#phpinfo_form .plain-text-toggle").one("click",function(d){d.preventDefault();var e=0,f="";a("#phpinfo_form table").each(function(){e&&(f+="\n"+Array(81).join("=")+"\n"),e++;var b=a(this).prev();a(b).is(":header")&&(f+=a(b).text(),f+="\n"+Array(a(b).text().length+1).join("-")+"\n");var c=[];a("#phpinfo_form").find("tr").each(function(){var b=[];a(this).find("td,th").each(function(){var c=a(this).text();c&&"undefined"!=c||(c=""),b.push(c)}),c.push(b.join("\t"))}),f+=c.join("\n")});var g=function(){var b=a("#selectable_text pre"),c=document,d=b[0];if(c.body.createTextRange){var e=document.body.createTextRange();e.moveToElementText(d),e.select()}else if(window.getSelection){var f=window.getSelection(),e=document.createRange();e.selectNodeContents(d),f.removeAllRanges(),f.addRange(e)}};a("#phpinfo_form .info_as_html").hide().after('<div class="info_as_txt ccm-pane-body"><div id="selectable_text"><a id="selectall" href="#selectall">'+b+"</a><pre>"+f+"</pre></div></div>");var h=!1,i=function(){try{return!!document.execCommand&&(h=!0,!0)}catch(a){return!1}return!1};return i()&&a("#selectall").text(c),a("#selectall").click(function(c){if(c.preventDefault(),c.stopPropagation(),g(),h)try{h=document.execCommand("copy")}catch(a){h=!1}h||a("#selectall").text(b)}),a("#phpinfo_form .dropdown-toggle").trigger("click"),a("#phpinfo_form .plain-text-toggle").closest("li").hide(),a("#phpinfo_form .table-view-toggle").closest("li").show(),a("#phpinfo_form .plain-text-toggle, #phpinfo_form .table_view-toggle").blur().on("click",function(b){return b.preventDefault(),a("#phpinfo_form .info_as_html").is(":visible")?(a("#phpinfo_form .info_as_html").hide(),a("#phpinfo_form .info_as_txt").show(),a("#phpinfo_form .plain-text-toggle").addClass("active").blur(),a("#phpinfo_form .plain-text-toggle").closest("li").hide(),a("#phpinfo_form .table-view-toggle").closest("li").show(),a("#phpinfo_form .dropdown-toggle").trigger("click")):(a("#phpinfo_form .info_as_html").show(),a("#phpinfo_form .info_as_txt").hide(),a("#phpinfo_form .plain-text-toggle").removeClass("active").blur(),a("#phpinfo_form .table-view-toggle").closest("li").hide(),a("#phpinfo_form .plain-text-toggle").closest("li").show()),!1}),!1})})}(jQuery);
            </script>
            <?php 
        } else {
            ?>
            <h2>
                <?php  echo t('Addon Support'); ?>
            </h2>
            <?php 
            View::element('support_dialog',
                    //
                    array(
                // parameters
                'controller' => $controller,
                'pkg_handle' => 'jl_elephpant_info',
                'c5handle' => 'ele-php-ant-info',
                'magic_handle' => 'php_info'
                    ), 'jl_elephpant_info');
        }
        ?>
    </div>
</form>

